Index: /extensions/SmartAlbums/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/sk_SK/plugin.lang.php	(revision 16341)
+++ /extensions/SmartAlbums/language/sk_SK/plugin.lang.php	(revision 16342)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['%d photos associated to album %s'] = '%d fotiek spojených s albumom %s';
+$lang['%d photos associated to album %s'] = '%d fotiek spojen&yacute;ch s albumom %s';
 $lang['%d photo'] = '%d fotka';
 $lang['%d photos'] = '%d fotiek';
@@ -42,5 +42,5 @@
 $lang['Only SmartAlbums are displayed on this page'] = 'Len SmartAlbumy sú zobrazené na tejto stránke';
 $lang['Only these tags'] = 'Len tieto kľúčové slová';
-$lang['Regenerate photos list of all SmartAlbums'] = 'Zlepšiť zoznam fotiek vo všetkých SmartAlbumoch';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Regenerovať zoznam fotiek vo všetkých SmartAlbumoch';
 $lang['Regenerate photos list of this SmartAlbum'] = 'Zlepšiť zoznam fotiek v tomto SmartAlbume';
 $lang['SmartAlbum added'] = 'SmartAlbum pridaný';
@@ -48,32 +48,32 @@
 $lang['This album is a SmartAlbum'] = 'Tento album je SmartAlbum';
 $lang['Update albums on file upload'] = 'Aktualizovať albumy pri nahratí súboru';
-$lang['(can cause slowdowns)'] = '(moze sposobit spomalenie)';
-$lang['Above'] = 'Vyssie uvedene';
-$lang['Author is empty'] = 'Nazov autora je prazdny';
-$lang['Begins with'] = 'Zacina s/so';
-$lang['Bellow'] = 'Nizsie';
+$lang['(can cause slowdowns)'] = '(m&ocirc;&#382;e sp&ocirc;sobi&#357; spomalenie)';
+$lang['Above'] = 'Vy&#353;&#353;ie uveden&eacute;';
+$lang['Author is empty'] = 'N&aacute;zov autora je pr&aacute;zdny';
+$lang['Begins with'] = 'Za&#269;&iacute;na s/so';
+$lang['Bellow'] = 'Ni&#382;&#353;ie';
 $lang['Contains'] = 'Obsahuje';
-$lang['Doesn\'t begin with'] = 'Nezacina s/so';
+$lang['Doesn\'t begin with'] = 'Neza&#269;&iacute;na s/so';
 $lang['Doesn\'t contain'] = 'Neobsahuje';
-$lang['Doesn\'t end with'] = 'Nekonci s/so';
-$lang['Ends with'] = 'Konci s/so';
+$lang['Doesn\'t end with'] = 'Nekon&#269;&iacute; s/so';
+$lang['Ends with'] = 'Kon&#269;&iacute; s/so';
 $lang['Filters'] = 'Filtre';
-$lang['For "Is (not) in", separate each author by a comma'] = 'Pre "Je (Nie je) v/vo", oddtelte kazdeho autora ciarkou';
-$lang['Hits must be an integer'] = 'Pocet pristupov musi byt cislo';
+$lang['For "Is (not) in", separate each author by a comma'] = 'Pre "Je (Nie je) v/vo", oddelte ka&#382;d&eacute;ho autora &#269;iarkou';
+$lang['Hits must be an integer'] = 'Po&#269;et pr&iacute;stupov mus&iacute; by&#357; &#269;&iacute;slo';
 $lang['Is in'] = 'Je v/vo';
 $lang['Is not in'] = 'Nie je v/vo';
 $lang['Is not'] = 'Nie je ';
 $lang['Is'] = 'Je';
-$lang['Name is empty'] = 'Meno je prazdne';
-$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Pre objednanie albumov prejdite na <a href="%s">stranku spravy</a> hlavnych albumov.';
-$lang['You can\'t use more than one level filter'] = 'Nie je mozne pouzit viac ako jednu uroven filtrovania';
-$lang['You can\'t use more than one limit filter'] = 'Nie je mozne pouzit viac ako jednu hranicu filtrovania';
+$lang['Name is empty'] = 'Meno je pr&aacute;zdne';
+$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Pre objednanie albumov prejdite na <a href="%s">str&aacute;nku spr&aacute;vy</a> hlavn&yacute;ch albumov.';
+$lang['You can\'t use more than one level filter'] = 'Nie je mo&#382;n&eacute; pou&#382;i&#357; viac ako jednu &uacute;rove&#328; filtrovania';
+$lang['You can\'t use more than one limit filter'] = 'Nie je mo&#382;n&eacute; pou&#382;i&#357; viac ako jednu hranicu filtrovania';
 $lang['author_filter'] = 'Autor';
-$lang['create a new SmartAlbum'] = 'vytvor novy SmartAlbum';
-$lang['date_filter'] = 'Datum';
-$lang['hit_filter'] = 'Pristupov';
-$lang['level_filter'] = 'Uroven';
-$lang['limit_filter'] = 'Max. pocet fotiek';
-$lang['name_filter'] = 'Nazov fotky';
+$lang['create a new SmartAlbum'] = 'vytvor nov&yacute; SmartAlbum';
+$lang['date_filter'] = 'D&aacute;tum';
+$lang['hit_filter'] = 'Pr&iacute;stupov';
+$lang['level_filter'] = '&Uacute;rove&#328;';
+$lang['limit_filter'] = 'Max. po&#269;et fotiek';
+$lang['name_filter'] = 'N&aacute;zov fotky';
 $lang['tags_filter'] = 'Tagov';
 ?>