Index: /extensions/hotlink_compatibility/language/de_DE/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/de_DE/desc_content.html	(revision 16348)
+++ /extensions/hotlink_compatibility/language/de_DE/desc_content.html	(revision 16348)
@@ -0,0 +1,12 @@
+Piwigo 2.4 führt eine neue Technik ein: mehrfache Bildgrößen. Das hat zahlreiche Veränderungen, insbesondere auf Dateiebene zur Folge. So wird anstelle von zwei oder gar drei Versionen eines Fotos (ein Foto für die Webseite, ein Vorschaubild, das hochaufgelöste Originalfoto) nur noch eine Version, nämlich das Originalfoto, in den Verzeichnissen <i>upload</i> und <i>galleries</i> abgelegt. Das bedeutet:
+<ul>
+  <li>Hotlinks auf Bilder in Webgröße werden zu Hotlinks auf Originalfotos</li>
+  <li>Hotlinks auf HD-Bilder werden funktionslos</li>
+  <li>Hotlinks auf Vorschaubilder werden funktionslos</li>
+</u>
+Zur Lösung dieses Problems haben wir ein spezielles Plugin entwickelt, das den Versuch unternimmt,
+die Datei .htaccess im Hauptverzeichnis Ihrer Piwigo-Installation neu zu schreiben bzw. zu verändern.
+Diese Datei enthält das URL Rewriting betreffende Regeln, die Ihren Host darüber informieren,
+dass sich die Links auf Bilder geändert haben.<br>
+<strong>Falls Sie keine Hotlinks in Ihrer Gallerie verwenden, sollten Sie die folgende Aktualisierung nicht
+vornehmen und das Plugin entfernen.</strong>
Index: /extensions/hotlink_compatibility/language/de_DE/description.txt
===================================================================
--- /extensions/hotlink_compatibility/language/de_DE/description.txt	(revision 16348)
+++ /extensions/hotlink_compatibility/language/de_DE/description.txt	(revision 16348)
@@ -0,0 +1,1 @@
+Aktualisiert Ihre .htaccess-Datei. Dort eingetragene alte Hotlinks werden aufgelöst. Sinnvoll nur für Benutzer einer Piwigo-Version, die älter ist als Version 2.4.
Index: /extensions/hotlink_compatibility/language/de_DE/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/de_DE/index.php	(revision 16348)
+++ /extensions/hotlink_compatibility/language/de_DE/index.php	(revision 16348)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/de_DE/plugin.lang.php	(revision 16348)
+++ /extensions/hotlink_compatibility/language/de_DE/plugin.lang.php	(revision 16348)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = 'Die Datei .htaccess ist nicht beschreibbar';
+$lang['Apply upgrade anyway'] = 'Aktualisierung trotzdem durchführen';
+$lang['Apply upgrade'] = 'Aktualisierung durchführen';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo kann die Datei .htaccess nicht erstellen oder verändern. Wenn Sie diese Aktualisierung trotzdem durchführen wollen, müssen Sie die Datei .htaccess selbst bearbeiten. Folgendes müssen Sie in die Datei eintragen: ';
+$lang['Unable to activate RewriteEngine'] = 'Die RewriteEngine konnte nicht gestartet werden';
+$lang['Upgrade already applied, please remove this plugin'] = 'Die Aktualisierung wurde bereits durchgeführt. Bitte entfernen Sie dieses Plugin';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Die Aktualisierung wurde erfolgreich durchgeführt. Bitte entfernen Sie dieses Plugin';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Eine .htaccess-Datei ist bereits vorhanden, die allerdings die RewriteEngine blockiert. Bitte entfernen Sie die Zeile <i>RewriteEngine off</i>, damit Piwigo die Aktualisierung durchführen kann.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Ihre Galerie ist bei einem Provider gehostet, der bekanntermaßen Probleme mit dem URL Rewriting hat. Sie führen diese Aktualisierung auf eigene Gefahr durch.';
+$lang['Your host may be incompatible with URL rewriting'] = 'URL Rewriting könnte auf Ihrem Host nicht möglich sein';
+?>