Index: trunk/language/zh_CN/common.lang.php
===================================================================
--- trunk/language/zh_CN/common.lang.php	(revision 16322)
+++ trunk/language/zh_CN/common.lang.php	(revision 16360)
@@ -39,16 +39,16 @@
 $lang['%d album updated'] = "已更新 %d 个相册";
 $lang['%d albums updated'] = "已更新 %d 个相册";
-$lang['%d comment to validate'] = "有 %d 个评论等待审核";
-$lang['%d comments to validate'] = "有 %d 个评论等待审核";
-$lang['%d new comment'] = "%d 个新评论";
-$lang['%d new comments'] = "%d 个新评论";
+$lang['%d comment to validate'] = '有%d个评论等待审核';
+$lang['%d comments to validate'] = '有%d个评论等待审核';
+$lang['%d new comment'] = '%d个新评论';
+$lang['%d new comments'] = '%d个新评论';
 $lang['%d comment'] = "%d 个评论";
-$lang['%d comments'] = "%d 个评论";
-$lang['%d hit'] = "%d 次点击";
-$lang['%d hits'] = "%d 次点击";
-$lang['%d new photo'] = "%d 张新照片";
-$lang['%d new photos'] = "%d 张新照片";
-$lang['%d new user'] = "%d 个新用户";
-$lang['%d new users'] = "%d 个新用户";
+$lang['%d comments'] = '%d个评论';
+$lang['%d hit'] = '%d次点击';
+$lang['%d hits'] = '%d次点击';
+$lang['%d new photo'] = '%d张新图片';
+$lang['%d new photos'] = '%d张新图片';
+$lang['%d new user'] = '%d个新用户';
+$lang['%d new users'] = '%d个新用户';
 $lang['About'] = "关于";
 $lang['All tags'] = "所有标签";
@@ -221,7 +221,7 @@
 $lang['Unknown identifier'] = '帐号不存在';
 $lang['New password'] = '新密码';
-$lang['Rate this photo'] = '投票';
+$lang['Rate this photo'] = '评分';
 $lang['Next'] = '下一页';
-$lang['no rate'] = '没有投票';
+$lang['no rate'] = '没有评分';
 $lang['Photos posted within the last %d day.'] = '只显示最近 %d 天的图片.';
 $lang['Photos posted within the last %d days.'] = '只显示最近 %d 天的图片.';
@@ -281,5 +281,5 @@
 $lang['today'] = '今天';
 $lang['Rating score'] = '分数';
-$lang['Update your rating'] = '更改投票';
+$lang['Update your rating'] = '更改评分';
 $lang['the username must be given'] = '缺少用户名';
 $lang['useful when password forgotten'] = '忘记密码';
@@ -287,7 +287,7 @@
 $lang['Connected user: %s'] = '在线用户: %s';
 $lang['IP: %s'] = 'IP地址: %s';
-$lang['Browser: %s'] = '浏览器: %s';
+$lang['Browser: %s'] = '浏览器:%s';
 $lang['Author: %s'] = '上传者: %s';
-$lang['Comment: %s'] = '评论: %s';
+$lang['Comment: %s'] = '评论:%s';
 $lang['Comment by %s'] = '评论者 %s';
 $lang['User: %s'] = '用户: %s';
@@ -296,5 +296,5 @@
 $lang['Registration of %s'] = '注册 %s';
 $lang['Album: %s'] = '相册: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果游客拥有普通用户才拥有的状态，请向管理员报告。';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '游客用户的状态出现问题，现在将使用默认状态。请通知网站管理员。';
 $lang['this email address is already in use'] = '此邮箱已存在';
 $lang['Album results for'] = '相册的结果';
@@ -326,5 +326,5 @@
 $lang['delete all photos from your favorites'] = '删除您的收藏夹里的所有图片';
 $lang['Sent by'] = '发送于';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = '您的浏览器已关闭或者不支持Cookies. 您必须开启 cookies 才能登录.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = '您的浏览器已关闭或者不支持cookies. 您必须开启 cookies 才能登录.';
 $lang['Edit a comment'] = '修改一个评论';
 $lang['(!) This comment requires validation'] = '(!) 此评论需要审核';
@@ -333,5 +333,5 @@
 $lang['... or browse your empty gallery'] = '... 或者浏览您的空画廊';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... 或者取消此信息，我会自己找到我的方法';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = '您好 %s, 您的 Piwigo 画廊是空的!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = '您好 %s, 您的Piwigo画廊是空的!';
 $lang['I want to add photos'] = '我想添加图片';
 $lang['Manage this user comment: %s'] = '管理此用户的评论: %s';
@@ -340,5 +340,5 @@
 $lang['Sent by'] = '发送人';
 $lang['html tags are not allowed in login'] = '登录名中不允许使用html标签';
-$lang['%d rates'] = '%d 评分';
+$lang['%d rates'] = '%d个评分';
 $lang['Rating score'] = '评价得分';
 $lang['The number of photos per page must be a not null scalar'] = '每页图片数量必须大于0';