Index: /extensions/hotlink_compatibility/language/lv_LV/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/lv_LV/desc_content.html	(revision 16363)
+++ /extensions/hotlink_compatibility/language/lv_LV/desc_content.html	(revision 16363)
@@ -0,0 +1,8 @@
+Piwigo 2.4 ievieš Multisize funkciju, kas sevī ietver daudz tehnisku izmaiņu, īpaši failu sistēmā: katra attēla (webizmērs, sīkbilde, H-def) 2. un 3. versijas vietā tagad izmantojam tikai vienu (oriģinālo) versiju <i>upload</i> un <i>galleries</i> direktorijās. Sekas ir sekojošas:
+<ul>
+  <li>hotlinki (karstsaites) uz "web size" kļūst par hotlinkiem uz originals</li>
+  <li>hotlinki uz HD vairs nedarbojas</li>
+  <li>hotlinki uz sīkbildēm vairs nedarbojas</li>
+</ul>
+Lai to atrisinātu, izveidots šis spraudnis, kas mēģina izveidot vai modificēt .htaccess failu jūsu instalācijas pamatā. Šinī failā ir daži URL pārrakstīšanas noteikumi, kas informē jūsu hostu, ka saites uz attēliem ir mainītas.<br>
+<b>Ja nelietojat hotlinkus uz savām galerijām, jums nav nepieciešams pielietot sekojošo izlabojumu un nav jāatinstalē šis spraudnis.</b>
Index: /extensions/hotlink_compatibility/language/lv_LV/description.txt
===================================================================
--- /extensions/hotlink_compatibility/language/lv_LV/description.txt	(revision 16363)
+++ /extensions/hotlink_compatibility/language/lv_LV/description.txt	(revision 16363)
@@ -0,0 +1,1 @@
+Atjauniniet .htaccess failu, lai atgūtu savas saites (hotlinkus), nav pielietojams jauniem lietotājiem, kas lieto Piwigo 2.4 vai jaunāku.
Index: /extensions/hotlink_compatibility/language/lv_LV/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/lv_LV/index.php	(revision 16363)
+++ /extensions/hotlink_compatibility/language/lv_LV/index.php	(revision 16363)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/lv_LV/plugin.lang.php	(revision 16363)
+++ /extensions/hotlink_compatibility/language/lv_LV/plugin.lang.php	(revision 16363)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = '.htaccess failā nevar ierakstīt';
+$lang['Apply upgrade anyway'] = 'Jebkurā gadījumā pielietot uzlabojumu  ';
+$lang['Apply upgrade'] = 'Pielietot uzlabojumu';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo nevar izveidot vai modificēt .htaccess failu, ja gribat pielietot šo jauninājumu, tas jāveic jums pašiem manuāli. Te ir saturs, kas jāieraksta šajā failā:';
+$lang['Unable to activate RewriteEngine'] = 'Nav iespējams aktivēt Pārrakstīšanas Dzini (RewriteEngine)';
+$lang['Upgrade already applied, please remove this plugin'] = 'Uzlabojums jau pielietots, lūdzu atinstalējiet šo spraudni';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Uzlabojums sekmīgi pielietots, lūdzu atinstalējiet šo spraudni';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = 'Jums jau ir .htaccess fails, bet tas bloķē pārrakstīšanas dzini (line <i>RewriteEngine off</i>), lūdzu izdzēšat šo rindiņu, lai atļautu Piwigo pielietot šo uzlabojumu.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Jūsu galerija izvietota uz vietnes, kas izmanto URL Pārrakstīšanu, pielietojiet šo uzlabojumu uzņemoties paša risku.  ';
+$lang['Your host may be incompatible with URL rewriting'] = 'Jūsu hosts varētu būt nesavietojams ar URL pārrakstīšanu';
+?>