Index: /extensions/stripped/language/vi_VN/theme.lang.php
===================================================================
--- /extensions/stripped/language/vi_VN/theme.lang.php	(revision 16363)
+++ /extensions/stripped/language/vi_VN/theme.lang.php	(revision 16364)
@@ -1,26 +1,46 @@
 <?php
 
-$lang['Show/hide menu'] = 'Hi?n/?n trình don';
-$lang['Description'] = 'Mô t?';
+$lang['Show/hide menu'] = 'Che / Hiện menu';
 $lang['Information'] = 'Thông tin';
-$lang['GMap'] = 'B?n d?';
+$lang['GMap'] = 'Ánh xạ';
 
-$lang['Interface options']='Tùy ch?n giao di?n';
-$lang['Hide menu by default on category page']='?n trình don theo m?c d?nh trên trang d? m?c';
-$lang['Animate menu']='Trình don d?ng';
-$lang['Animate tabs on picture page']='Tab d?ng trên trang ?nh';
-$lang['Replace all icons by ALT text']='Thay t?t c? bi?u tu?ng b?ng text ALT';
-$lang['Force text to lowercase']='Chuy?n text ch? thu?ng';
-$lang['Show thumbnail caption']='Hi?n chú thích d?ng thu nh?';
-$lang['Picture page options']='Tùy ch?n trang ?nh';
-$lang['Show image title on top of the page (after browse path)']='Hi?n th? tiêu d? ?nh lên phía trên c?a trang (sau khi duy?t du?ng d?n)';
-$lang['Show description instead of title below image']='Hi?n th? mô t? thay vì tiêu d? du?i ?nh';
-$lang['Use arrows instead of navigation thumbnails']='Dùng d?u mui tên thay vì hình thu nh? di?u hu?ng';
-$lang['Show Information tab only to admins']='Ch? hi?n tab Thông tin cho Qu?n tr?';
-$lang['Image autosize options']='Tùy ch?n t? d?ng di?u ch?nh kích thu?c ?nh';
-$lang['Resize image to fit window']='Ði?u ch?nh kích thu?c ?nh cho v?a c?a s?';
-$lang['Include title after resize']='Bao g?m c? tiêu d? sau khi di?u ch?nh kích thu?c';
-$lang['Additional bottom margin after resize']='L? phía du?i b? sung sau khi di?u ch?nh kích thu?c';
-$lang['Minimum image height after resize']='Chi?u cao ?nh t?i thi?u sau khi di?u ch?nh kích thu?c';
-$lang['stripped Configuration updated']='C?u hình rút g?n dã du?c c?p nh?t';
+$lang['Interface options'] = 'Tùy chọn giao diện';
+$lang['Hide menu by default on category page'] = 'Mặc định che  menu trên trang mô tả các chủ đề';
+$lang['Animate menu'] = 'Menu động';
+$lang['Animate tabs on picture page'] = 'Trang động khi xem hình';
+$lang['Force text to lowercase'] = 'Chuyển tẩ cả thành chữ thường';
+$lang['Show thumbnail caption'] = 'Hiện mô tả hình đại diện';
+$lang['Picture page options'] = 'Tùy chọn trang hiển thị hình';
+$lang['Show image title on top of the page (after browse path)'] = 'Hiện tiêu đề hình bên trên cùng';
+$lang['Show Information tab only to admins'] = 'Chỉ hiển thị trang thông tin với người quản lý';
+$lang['Image autosize options'] = 'Tùy chọn điều chỉnh cỡ hình tự động';
+$lang['Resize image to fit window'] = 'Đổi cỡ hình cho vừa với cửa sổ';
+$lang['Include title after resize'] = 'Bao gồm tiêu đề sau khi điều chỉnh cỡ hình';
+$lang['Additional bottom margin after resize'] = 'Thêm khoảng cách bổ sung bên dưới sau khi đổi cỡ hình';
+$lang['Minimum image height after resize'] = 'Dùng chiều cao nhỏ nhất sau khi đổi cỡ hình';
+$lang['stripped Configuration updated'] = 'Đã lưu cài đặt cho Stripped';
+$lang['1 album per row (description beside thumbnail)'] = 'mỗi dòng 1 album (mô tả bên cạnh hình đại diện)';
+$lang['2 albums per row (description beside thumbnail)'] = 'mỗi dòng 2 album (mô tả bên cạnh hình đại diện)';
+$lang['3 albums per row (description below thumbnail)'] = 'mỗi dòng 3 album (mô tả bên dưới hình đại diện)';
+$lang['5 albums per row (no album description)'] = 'mỗi dòng 5 album (không có mô tả)';
+$lang['Activate image preloading'] = 'Bật cơ chế nạp trước cho hình';
+$lang['Album list layout'] = 'Cấu trúc danh sách album';
+$lang['Default tab to be displayed'] = 'Trang mặc định để hiển thị';
+$lang['Display frame around albums'] = 'Hiện khung xung quanh album';
+$lang['Display frame around image'] = 'Hiện khung xung quanh hình';
+$lang['Display frame around thumbnails'] = 'Hiện khung xung quanh hình đại diện';
+$lang['HD picture default display'] = 'Mặc định hiện bản phân giải cao của hình';
+$lang['Image preloading options'] = 'Tùy chọn để nạp hình trước';
+$lang['Interface style'] = 'Kiểu giao diện';
+$lang['Last displayed'] = 'Hiển thị cuối cùng';
+$lang['Metadata'] = 'Thông tin mô tả';
+$lang['On picture page, number of next images to preload'] = 'Số hình cần nạp trước';
+$lang['Preload images on thumbnails page'] = 'Nạp trước hình ';
+$lang['Property to display below picture'] = 'Hiện thông tin của hình ở bên dưới';
+$lang['Title'] = 'Tiêu đề';
+$lang['Use navigation arrows on picture'] = 'Hiện mũi tên chỉ hướng ngay trên hình';
+$lang['Use navigation arrows outside picture'] = 'Hiện mũi tên chỉ hướng bên ngoài hình';
+$lang['fit to screen'] = 'chỉnh khít với màn hình';
+$lang['full size'] = 'đúng cỡ thật';
+$lang['validate'] = 'xác nhận';
 ?>