Index: extensions/download_multi/language/el_GR/index.php
===================================================================
--- extensions/download_multi/language/el_GR/index.php	(revision 16373)
+++ extensions/download_multi/language/el_GR/index.php	(revision 16373)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/download_multi/language/el_GR/plugin.lang.php
===================================================================
--- extensions/download_multi/language/el_GR/plugin.lang.php	(revision 16373)
+++ extensions/download_multi/language/el_GR/plugin.lang.php	(revision 16373)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['dl_archive'] = 'Προβολή συμπιεσμένων αρχείων';
+$lang['dl_backup_config'] = 'Οι ρυθμίσεις του Download Multi αποθηκεύτηκαν';
+$lang['dl_bt_delete'] = 'Διαγραφή';
+$lang['dl_bt_select'] = 'Επιλέξτε';
+$lang['dl_bt_unselect'] = 'Καταργήστε την επιλογή';
+$lang['dl_cart'] = 'Καλάθι';
+$lang['dl_choice_image'] = 'Πρέπει να επιλέξετε τουλάχιστον μία εικόνα.';
+$lang['dl_class_exist'] = 'Έτσι, για να λειτουργήσει σωστά η γκαλερί, ο διακομιστής σας πρέπει να χρησιμοποιεί το  ZipArchive PHP class, επικοινωνήστε με τον πάροχό σας για να ενεργοποιηθεί.';
+$lang['dl_class_zip'] = 'Μπορείτε να χρησιμοποιήσετε:';
+$lang['dl_converter'] = 'Μετατροπέας';
+$lang['dl_create_category'] = 'Δημιουργήστε ξανά τη δομή των κατηγοριών που παράγεται στα συμπιεσμένα αρχεία';
+$lang['dl_dir_zip'] = 'Δεν είναι δυνατή η δημιουργία καταλόγου';
+$lang['dl_empty_cart'] = 'Κενό καλάθι';
+$lang['dl_error_file_size_car'] = 'Το μέγιστο μέγεθος του πεδίου σε bytes <i>αρχείο σε bytes</i> μπορεί να περιέχει μόνο αριθμούς.';
+$lang['dl_error_file_size'] = 'Θα πρέπει να διευκρινίσετε το μέγεθος του αρχείου';
+$lang['dl_error_group_id'] = 'Θα πρέπει να αναφέρεται η ομάδα που είναι εξουσιοδότημένη να κατεβάζει φωτογραφίες';
+$lang['dl_error_pattern_name'] = 'Το πεδίο <i>Παραγωγή ονόματος του αρχείου σας</i> δεν μπορεί να είναι κενό.';
+?>