Index: /trunk/language/de_DE/help/help_virtual_links.html
===================================================================
--- /trunk/language/de_DE/help/help_virtual_links.html	(revision 16375)
+++ /trunk/language/de_DE/help/help_virtual_links.html	(revision 16376)
@@ -1,7 +1,7 @@
-<p>Fotos werden normalerweise in dem Album angezeigt, in dem sie hochgeladen wurden.</p>
+<p>Fotos werden normalerweise in dem Album angezeigt, in das sie hochgeladen wurden.</p>
 
-<p>Man kann Fotos auch in einem zweiten Album anzeigen ohne sie zu duplizieren. Verbinden Sie das Bild einfach mit einem anderen Album auf der Seite "Information ändern" (den Link dazu kann jeder Administrator auf der Seite des Fotos selbst sehen).</p>
+<p>Man kann Fotos auch in einem zweiten Album anzeigen, ohne sie zu duplizieren. Verbinden Sie das Bild einfach mit einem anderen Album unter "Informationen ändern" (für Administratoren direkt aus der Galerie aufrufbar).</p>
 
-<p>Virtuelle Alben basieren auf folgendem Konzept: sie haben keinen eigenen Ordner. Erstellen Sie ein virtuelles Album unter <span class="pwgScreen">Alben &raquo; Verwalten</span>.</p>
+<p>Virtuelle Alben beruhen auf folgendem Konzept: Ihnen sind keine eigenen Verzeichnisse zugeordnet. Erstellen Sie ein virtuelles Album unter <span class="pwgScreen">Alben &raquo; Verwalten</span>.</p>
 
 
Index: /trunk/language/de_DE/help/notification_by_mail.html
===================================================================
--- /trunk/language/de_DE/help/notification_by_mail.html	(revision 16375)
+++ /trunk/language/de_DE/help/notification_by_mail.html	(revision 16376)
@@ -1,15 +1,12 @@
-<h2>Anmeldung per E-Mail</h2>
+<h2>Benachrichtigung</h2>
 
-<p>Dieser Bildschirm erlaubt es die Einstellungen für die E-Mail-Benachrichtigungen an die Benutzer zu konfigurieren.</p>
-
-<p>Dieser Bildschirm besteht aus 3 Registerkarten:</p>
+<p>Einstellungen für das Versenden von Benachrichtigungsmails an die Benutzer. Zugänglich nur für Administratoren.</p>
 
 <h3>Parameter</h3>
-<p>Zugänglich nur für Webmaster, diese Registerkarte enthält Parameter für die Anmeldung per E-Mail.</p>
+<p>Sendeoptionen</p>
 
 <h3>Bestätigen</h3>
-<p>Zugänglich nur für Webmaster, die Anmeldung / Abmeldung von Benutzern zur E-Mail-Benachrichtigungen wird hier verwaltet.</p>
+<p>Hinzufügen/Entfernen von Benutzern für die Benachrichtigung per E-Mail</p>
 
 <h3>Sende</h3>
-<p>Zugänglich nur für Webmaster und Administratoren, dieser Registerkarte können Sie E-Mails versenden und ihren personalisierten Text der E-Mail hinzufügen.</p>
-
+<p>E-Mail-Benachrichtigung an registrierte Benutzer versenden</p>
Index: /trunk/language/de_DE/help/permalinks.html
===================================================================
--- /trunk/language/de_DE/help/permalinks.html	(revision 16375)
+++ /trunk/language/de_DE/help/permalinks.html	(revision 16376)
@@ -1,7 +1,7 @@
 <h2>Permalinks</h2>
 
-<p>Sogenannte Permalinks werden verwendet, um die URLs zu den einzelnen Alben zu verschönern. Wenn einem Album ein Permalink zugeordnet wurde, benötigt man die ID des Album nicht mehr in der URL.</p>
+<p>Sog. Permalinks werden verwendet, um die URLs zu den einzelnen Alben zu verkürzen bzw. lesbarer zu machen. Wurde einem Album ein Permalink zugeordnet, wird die ID des Albums in der URL nicht mehr benötigt.</p>
 
-<p>Wenn ein Permalink gelöscht wird, können Sie diesen in der History speichern, sodass externe Links auf ihre Piwigo Galerie weiterhin funktioniert. In der Permalink History sehen Sie außerdem das Löschdatum, das Datum der letzten Nutzung und die Anzahl der Zugriffe auf den Permalink.</p>
+<p>Wenn ein Permalink gelöscht wird, können Sie ihn in der Permalink-History speichern, so dass externe Links auf ihre Piwigo-Galerie weiterhin funktionieren. In der Permalink-History sehen Sie außerdem, wann ein Permalink gelöscht und zuletzt benutzt wurde. Die Anzahl der Zugriffe auf den Permalink wird dort ebenfalls protokolliert.</p>
 
-<p>Bitte beachten Sie das ein Permalink nur einmal pro Album vergeben werden darf. Des weiteren kann ein Permalink nur einmal in der Permalink History existieren.</p>
+<p>Bitte beachten Sie, dass nur ein Permalink pro Album vergeben werden darf und ein Permalink nur einmal in der Permalink-History vorkommen kann.</p>
Index: /trunk/language/de_DE/help/photos_add_ftp.html
===================================================================
--- /trunk/language/de_DE/help/photos_add_ftp.html	(revision 16375)
+++ /trunk/language/de_DE/help/photos_add_ftp.html	(revision 16376)
@@ -34,6 +34,5 @@
     <p>
       Die Albenverzeichnisse sind im Piwigo-Verzeichnis "galleries" untergebracht. 
-      Im Folgenden ist der Verzeichnisbaum einer kleinen Galerie mit zahlreichen
-      Besonderheiten dargestellt: 
+      Im Folgenden ist der Verzeichnisbaum einer kleinen Galerie dargestellt: 
     </p>
 <pre>