Index: trunk/language/de_DE/help/maintenance.html
===================================================================
--- trunk/language/de_DE/help/maintenance.html	(revision 16245)
+++ trunk/language/de_DE/help/maintenance.html	(revision 16388)
@@ -1,16 +1,19 @@
 <h2>Wartung</h2>
 
-<p>Um die Ladezeiten der Seiten zu optimieren, verwendet Piwigo einen
-Cache. Zum Beispiel wird die Information über die Anzahl der Fotos in
-einem Album in der Datenbank zwischengespeichert, statt sie jedesmal
-zu zählen. Im Normalfall sollte diese Information immer korrekt sein,
-jedoch kann es auch vorkommen, dass die zwischengespeicherte Information
-ungültig wird.</p>
+<p>
+ Um die Ladezeiten der Seiten zu optimieren, verwendet Piwigo einen
+ Cache. Zum Beispiel wird die Information über die Anzahl der Fotos in
+ einem Album in der Datenbank zwischengespeichert, statt sie jedesmal
+ zu zählen. Im Normalfall sollte diese Information immer korrekt sein,
+ jedoch kann es auch vorkommen, dass die zwischengespeicherte Information
+ ungültig wird.
+</p>
 
-<p>Einige Informationen in der Datenbank werden mit der Zeit unbrauchbar. Durch Löschen dieser
-nutzlosen Informationen können Sie Plattenplatz sparen.</p>
+<p>
+ Einige Informationen in der Datenbank werden mit der Zeit unbrauchbar. Durch Löschen dieser
+ nutzlosen Informationen können Sie Plattenplatz sparen.
+</p>
 
 <ul>
-
    <li>
      <strong>Nicht verlinkte Elemente: </strong>
@@ -21,46 +24,53 @@
      Durchsucht alle Ordner und listet Dateien mit demselben Dateinamen auf.
    </li>
-
 </ul>
 
 <ul>
-
-   <li><strong>Aktualisierung der Albeninformationen:</strong>
-  Für jedes Album werden die folgenden Informationen überprüft und bei Bedarf angepasst:
-  Liste der übergeordneten Alben, Anzahl der Fotos, Datum des aktuellsten Fotos, Position relativ
-  zu anderen Alben auf derselben Ebene, Position im kompletten Albenbaum.
-  Diese Funktion überprüft auch die Korrektheit der Vorschaubilder.</li>
-
-   <li><strong>Aktualisierung der Fotoinformationen:</strong>
-  Für jedes Foto werden die folgenden Informationen überprüft und bei Bedarf angepasst:
-  der komplette Pfad zum Foto, Durchschnittsbewertung. <em>Achtung</em>: Diese Aktion ist
-  nicht mit der Synchronisierung der Metadaten zu verwechseln. Diese müssen über
-  <span class="pwgScreen">Verwaltung &raquo; Werkzeuge &raquo; Synchronisieren</span>
-  oder auf der Bearbeitungsseite eines Bildes (z.B. über <span class="pwgScreen">Foto</span>) 
-  synchronisiert werden.</li>
-
-   <li><strong>Reparieren und Optimieren der Datenbank:</strong>
-  Jede Tabelle der Datenbank wird neu sortiert, repariert und optimiert.
-   </li>
-
+  <li>
+   <strong>Aktualisierung der Albeninformationen:</strong>
+   Für jedes Album werden die folgenden Informationen überprüft und bei Bedarf angepasst:
+   Liste der übergeordneten Alben, Anzahl der Fotos, Datum des aktuellsten Fotos, Position relativ
+   zu anderen Alben auf derselben Ebene, Position im kompletten Albenbaum.
+   Diese Funktion überprüft auch die Korrektheit der Vorschaubilder.
+  </li>
+  <li>
+   <strong>Aktualisierung der Fotoinformationen:</strong>
+   Für jedes Foto werden die folgenden Informationen überprüft und bei Bedarf angepasst:
+   der komplette Pfad zum Foto, Durchschnittsbewertung. <em>Achtung</em>: Diese Funktion ist
+   nicht mit der Synchronisierung der Metadaten zu verwechseln. Diese müssen über
+   <span class="pwgScreen">Verwaltung &raquo; Werkzeuge &raquo; Synchronisieren</span>
+   oder auf der Bearbeitungsseite eines Bildes (z.B. über <span class="pwgScreen">Foto</span>) 
+   synchronisiert werden.
+  </li>
+  <li>
+   <strong>Reparieren und Optimieren der Datenbank:</strong>
+   Jede Tabelle der Datenbank wird neu sortiert, repariert und optimiert.
+  </li>
 </ul>
 
 <ul>
-   <li><strong>Löschen der History-Details:</strong> Löscht alle Einträge
-  der <code>history</code>-Tabelle. Die Seite <span class = "pwgScreen">
-  Verwaltung &raquo; Werkzeuge &raquo; History</span> zeigt dann
-keine Informationen mehr über vergangene Einträge an. <em>Achtung</em>: Alle Daten
-gehen verloren, und es gibt keine Möglichkeit, sie wiederherzustellen.</li>
-
-   <li><strong>Löschen der History-Zusammenfassung:</strong> Löscht alle Zusammenfassungsinformationen der History.
-Diese Zusammenfassung wird aus den History-Details errechnet.</li>
-
-   <li><strong>Löschen der Sessions:</strong> Löscht abgelaufene User-Sessions.</li>
-
-   <li><strong>Löschen nie genutzte Benachrichtigungsfeeds</strong></li>
-   
-   <li><strong>Löschen des Suchverlaufs</strong></li>
-	
-   <li><strong>Löschen der kompilierten Templates</strong></li>
-
+  <li>
+   <strong>Löschen der History-Details:</strong> Löscht alle Einträge
+   der <code>history</code>-Tabelle. Die Seite <span class = "pwgScreen">
+   Verwaltung &raquo; Werkzeuge &raquo; History</span> zeigt dann
+   keine Informationen mehr über vergangene Einträge an. <em>Achtung</em>: Alle Daten
+   gehen verloren, und es gibt keine Möglichkeit, sie wiederherzustellen.
+  </li>
+  <li>
+   <strong>Löschen der History-Zusammenfassung:</strong> 
+   Löscht alle Zusammenfassungsinformationen der History.
+   Diese Zusammenfassung wird aus den History-Details errechnet.
+  </li>
+  <li>
+   <strong>Löschen der Sessions:</strong> Löscht abgelaufene User-Sessions.
+  </li>
+  <li>
+   <strong>Löschen nie genutzter Benachrichtigungsfeeds</strong>
+  </li>
+  <li>
+   <strong>Löschen des Suchverlaufs</strong>
+  </li>
+  <li><strong>
+    Löschen der kompilierten Templates</strong>
+  </li>
 </ul>