Index: /extensions/flop_style/mainpage_categories/captify_mini.css
===================================================================
--- /extensions/flop_style/mainpage_categories/captify_mini.css	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/captify_mini.css	(revision 16393)
@@ -35,6 +35,6 @@
 .wrap1 {
 	display: inline-block;
-	margin: 0 7px 5px;
-	text-align: center;
+  margin: 8px 4px;
+  text-align: center;
 	vertical-align: top;
 }
@@ -42,5 +42,5 @@
 	padding-left:auto;
 	padding-right:auto;
-	padding: 5px;
+	margin-top: 5px;
 	list-style: none outside none;
 	text-align: center;
@@ -51,5 +51,4 @@
 	display:inline;
 	text-align:center;
-	margin-left:10px;
 }
 
Index: /extensions/flop_style/mainpage_categories/captify_mini.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/captify_mini.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/captify_mini.tpl	(revision 16393)
@@ -31,4 +31,13 @@
   {/literal}
 {/html_head}
+{assign var=crop value=$derivative_params->sizing->max_crop}
+{if $crop==1}
+{assign var=crop value=true}
+{assign var=width value=$derivative_params->max_width()}
+{else}
+{assign var=crop value=false}
+{assign var=width value=99999}
+{/if}
+{define_derivative name='derivative_captify_mini' width=$width height=$derivative_params->max_height() crop=$crop}
 
 <ul class="thumbnailCategories">
@@ -36,5 +45,5 @@
   <li class="{cycle values="cat_1,cat_2,cat_3,cat_4"}" >
 			<span class="wrap1"><a href="{$cat.URL}">
-				<img src="{$cat.TN_SRC}" class="captify" alt="{$cat.NAME|truncate:38:" [...]"}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
+				<img src="{$pwg->derivative_url($derivative_captify_mini, $cat.representative.src_image)}" class="captify" alt="{$cat.NAME|truncate:38:" [...]"}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
 			</a></span>
 	</li>
Index: /extensions/flop_style/mainpage_categories/jPolaroid.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/jPolaroid.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/jPolaroid.tpl	(revision 16393)
@@ -20,4 +20,13 @@
   {/literal}
 {/html_head}
+{assign var=crop value=$derivative_params->sizing->max_crop}
+{if $crop==1}
+{assign var=crop value=true}
+{assign var=width value=$derivative_params->max_width()}
+{else}
+{assign var=crop value=false}
+{assign var=width value=99999}
+{/if}
+{define_derivative name='derivative_jPolaroid' width=$width height=$derivative_params->max_height() crop=$crop}
 
 <ul class="jpolaroid">
@@ -25,5 +34,5 @@
   <li>
 			<a href="{$cat.URL}" title="{$cat.NAME|@replace:'"':' '}">
-				<img src="{$cat.TN_SRC}"  alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
+				<img src="{$pwg->derivative_url($derivative_jPolaroid, $cat.representative.src_image)}"  alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
 			</a>
 	</li>
Index: /extensions/flop_style/mainpage_categories/medium_cat.css
===================================================================
--- /extensions/flop_style/mainpage_categories/medium_cat.css	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/medium_cat.css	(revision 16393)
@@ -22,7 +22,4 @@
 }
 #content div.thumbnailCategory div.illustration {
-	width:auto;
-	height:auto;
-	/*height:135px;*/
 	text-align:center;
 	overflow: inherit;
@@ -34,5 +31,4 @@
 #content div.thumbnailCategory div.description {
 	width:auto;
-	height:auto;
 	text-align:center;
 	overflow:inherit;
@@ -42,5 +38,4 @@
 	padding-left:0;
 	padding-right:0;
-	height:auto;
 }
 #content .thumbnailCategory div.illustration a {
@@ -66,4 +61,7 @@
   border-width: 2px;
 }
+#content div.thumbnailCategory:hover {
+  border-color: #777777 #CCCCCC #CCCCCC #777777;
+}
 #content div.thumbnailCategory * {
 	vertical-align: middle;
@@ -73,5 +71,2 @@
 	text-align:center;
 }
-#content div.thumbnailCategory div.illustration img {
-	height: 96px;
-}
Index: /extensions/flop_style/mainpage_categories/medium_cat.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/medium_cat.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/medium_cat.tpl	(revision 16393)
@@ -1,3 +1,12 @@
 {combine_css path="template-extension/flop_style/mainpage_categories/medium_cat.css"}
+{html_style}{literal}
+.thumbnailCategory .illustration {
+	width:{/literal}{$derivative_params->max_width()+5}{literal}px;
+}
+
+.thumbnailCategory .description {
+	height:5em;
+}
+{/literal}{/html_style}
 
 <ul class="thumbnailCategories">
@@ -7,5 +16,5 @@
 			<div class="illustration">
 			<a href="{$cat.URL}">
-				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
+				<img src="{$pwg->derivative_url($derivative_params, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
 			</a>
 			</div>
Index: /extensions/flop_style/mainpage_categories/mosaic.css
===================================================================
--- /extensions/flop_style/mainpage_categories/mosaic.css	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/mosaic.css	(revision 16393)
@@ -9,6 +9,4 @@
 	position:relative;
 	overflow:hidden;
-	width:400px;
-	height:250px;
 	margin:10px;
 	background:#111 url(progress.gif) no-repeat center center;
@@ -63,6 +61,2 @@
 	text-decoration:none;
 }
-.mosaic-backdrop img {
-	width:400px;
-	height:250px;
-}
Index: /extensions/flop_style/mainpage_categories/mosaic.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/mosaic.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/mosaic.tpl	(revision 16393)
@@ -13,4 +13,12 @@
 {/literal}
 {/html_head}
+{html_style}{literal}
+.mosaic-block, .mosaic-backdrop img  {
+	width:{/literal}{$derivative_params->max_width()}{literal}px;
+	height:{/literal}{$derivative_params->max_height()}{literal}px;
+}
+{/literal}{/html_style}
+
+{define_derivative name='derivative_mosaic' width=$derivative_params->max_width() height=$derivative_params->max_height() crop=true}
 <div id="mosaic-content"> {foreach from=$category_thumbnails item=cat}
   <div class="mosaic-block bar"> <a href="{$cat.URL}" class="mosaic-overlay">
@@ -27,5 +35,5 @@
     </div>
     </a>
-    <div class="mosaic-backdrop"> <img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}"> </div>
+    <div class="mosaic-backdrop"> <img src="{$pwg->derivative_url($derivative_mosaic, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}"> </div>
   </div>
   {/foreach}
Index: /extensions/flop_style/mainpage_categories/picpile_cat.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/picpile_cat.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/picpile_cat.tpl	(revision 16393)
@@ -1,20 +1,38 @@
 {combine_css path="template-extension/flop_style/mainpage_categories/picpile_cat.css"}
 {if $themeconf.name == "Sylvia"}
-{html_head}
+{html_style}
   {literal}
-  <style>
   #theCategoryPage .content {
       margin: 21px 10px 0 290px !important;
   }
-	</style>
   {/literal}
-{/html_head}
+{/html_style}
 {/if}
+{define_derivative name='derivative_picpile_cat' width=160 height=120 crop=true}
+{html_style}
+  {literal}
+  .picRotated {
+    width:{/literal}{$derivative_picpile_cat->max_width()+18}{literal}px;
+    height:{/literal}{$derivative_picpile_cat->max_height()+18}{literal}px;
+  }
+  .albumHolder {
+    width:{/literal}{$derivative_picpile_cat->max_width()+10}{literal}px;
+    height:{/literal}{$derivative_picpile_cat->max_height()+10}{literal}px;
+  }
+  .wrap1 {
+    width:{/literal}{$derivative_picpile_cat->max_width()+30}{literal}px;
+    height:{/literal}{$derivative_picpile_cat->max_height()+60}{literal}px;
+  }
+  
+  {/literal}
+{/html_style}
+
 <ul class="thumbnailCategories">
   {foreach from=$category_thumbnails item=cat}
+  {assign var=der_picpile_cat value=$pwg->derivative($derivative_picpile_cat, $cat.representative.src_image)}
   <li>
   <span class="wrap1"><div class="albumHolder">
     <div class="picRotated"></div>
-    <div class="album"> <a class="ajax" href="{$cat.URL}"> <span title="Browse Album" class="highlight"></span> <img width="160" height="120" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" alt="{$cat.TN_ALT}" src="{$cat.TN_SRC}"> <span title="Contains {$cat.CAPTION_NB_IMAGES} images" class="albumCnt">{$cat.CAPTION_NB_IMAGES}</span> </a> </div>
+    <div class="album"> <a class="ajax" href="{$cat.URL}"> <span title="Browse Album" class="highlight"></span> <img {$der_picpile_cat->get_size_htm()} title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" alt="{$cat.TN_ALT}" src="{$der_picpile_cat->get_url()}"> <span title="Contains {$cat.CAPTION_NB_IMAGES} images" class="albumCnt">{$cat.CAPTION_NB_IMAGES}</span> </a> </div>
     <div title="{$cat.NAME}" class="albumTitle">{$cat.NAME}</div>
     <div class="clear"></div>
Index: /extensions/flop_style/mainpage_categories/polaroid.css
===================================================================
--- /extensions/flop_style/mainpage_categories/polaroid.css	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/polaroid.css	(revision 16393)
@@ -7,5 +7,5 @@
 ul.polaroids {
 	list-style: none;
-	overflow: hidden;
+	overflow: visible;
 	width: 100%;
 	padding-top: 20px;
@@ -16,16 +16,16 @@
 }
 ul.polaroids li {
-	display: inline;
+	display: inline-block;
 }
 ul.polaroids a {
-	-moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.25);
+	-moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.85);
 	-moz-transform: rotate(-2deg);
 	-webkit-transition: -webkit-transform .15s linear;
-	-webkit-box-shadow: 0 3px 6px rgba(0,0,0,.25);
+	-webkit-box-shadow: 0 3px 6px rgba(0,0,0,.85);
 	-webkit-transform: rotate(-2deg);
 	-o-transition: -webkit-transform .15s linear;
-	-o-box-shadow: 0 3px 6px rgba(0,0,0,.25);
+	-o-box-shadow: 0 3px 6px rgba(0,0,0,.85);
 	-o-transform:rotate(-2deg);
-	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.25);
+	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.85);
   text-shadow: 0 1px 1px #CCC;
 	background: none repeat scroll 0 0 #FFFFFF;
@@ -36,5 +36,5 @@
 	font-size: 18px;
 	margin: 0 0 27px 30px;
-	padding: 10px 10px 15px;
+	padding: 8px 8px 10px;
 	text-align: center;
 	text-decoration: none;
@@ -87,6 +87,7 @@
 }
 ul.polaroids li a:hover {
-	-moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.5);
-	-webkit-box-shadow: 0 3px 6px rgba(0,0,0,.5);
+	box-shadow: 6px 6px 8px  rgba(0, 0, 0, 0.85);
+	-moz-box-shadow:  6px 6px 8px  rgba(0, 0, 0, 0.85);
+	-webkit-box-shadow: 6px 6px 8px rgba(0,0,0, 0.85);
 	-moz-transform: scale(1.25);
 	-webkit-transform: scale(1.25);
Index: /extensions/flop_style/mainpage_categories/polaroid.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/polaroid.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/polaroid.tpl	(revision 16393)
@@ -1,9 +1,19 @@
 {combine_css path="template-extension/flop_style/mainpage_categories/polaroid.css"}
+{html_style}{literal}
+ul.polaroids a {
+	height:{/literal}{$derivative_params->max_height()+30}{literal}px;
+}
+ul.polaroids li
+{
+	height:{/literal}{$derivative_params->max_height()+70}{literal}px;
+}
+{/literal}{/html_style}
 
+{define_derivative name='derivative_polaroid' width=$derivative_params->max_width() height=$derivative_params->max_height() crop=true}
 <ul class="polaroids">
 {foreach from=$category_thumbnails item=cat}
   <li>
 			<a href="{$cat.URL}" title="{$cat.NAME|truncate:20:" [...]"|@replace:'"':' '}">
-				<img src="{$cat.TN_SRC}"  alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
+				<img src="{$pwg->derivative_url($derivative_polaroid, $cat.representative.src_image)}"  alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
 			</a>
 	</li>
Index: /extensions/flop_style/mainpage_categories/popout_details.css
===================================================================
--- /extensions/flop_style/mainpage_categories/popout_details.css	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/popout_details.css	(revision 16393)
@@ -23,5 +23,5 @@
 	position: relative;
 	filter: alpha(opacity=30);
-	opacity: 0.3;
+	opacity: 0.75;
 	-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=30)"; /*--IE8 Specific--*/
 }
Index: /extensions/flop_style/mainpage_categories/popout_details.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/popout_details.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/popout_details.tpl	(revision 16393)
@@ -27,5 +27,5 @@
   <li>
       <a href="{$cat.URL}">
-        <img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
+        <img src="{$pwg->derivative_url($derivative_params, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
       </a>
       <div class="info">
Index: /extensions/flop_style/mainpage_categories/spotlight.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/spotlight.tpl	(revision 16392)
+++ /extensions/flop_style/mainpage_categories/spotlight.tpl	(revision 16393)
@@ -53,5 +53,5 @@
 {foreach from=$category_thumbnails item=cat}
 			<a href="{$cat.URL}" class="item" title="{$cat.NAME|@replace:'"':' '}{if not empty($cat.DESCRIPTION)} - {$cat.DESCRIPTION|@replace:'"':' '}{/if}">
-				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" >
+				<img src="{$pwg->derivative_url($derivative_params, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" >
 			</a>
 {/foreach}
Index: /extensions/flop_style/thumbnails/fancy_hover.css
===================================================================
--- /extensions/flop_style/thumbnails/fancy_hover.css	(revision 16392)
+++ /extensions/flop_style/thumbnails/fancy_hover.css	(revision 16393)
@@ -3,6 +3,7 @@
 	list-style: none;
 	margin: 0;
-	overflow: hidden;
+	overflow: visible;
 	padding: 50px;
+  display: inline-block;
 }
 ul.thumbnails li {
@@ -25,6 +26,7 @@
 	top: 0;
 }
-ul.thumbnails li img.hover {
-	background:url(thumb_bg.png) no-repeat center center;  /* Image used as background on hover effect*/
-	border: none; /* Get rid of border on hover */
+.thumb_jpolaroid.hover {
+  box-shadow: 6px 6px 8px  rgba(0, 0, 0, 0.85);
+	-moz-box-shadow:  6px 6px 8px  rgba(0, 0, 0, 0.85);
+	-webkit-box-shadow: 6px 6px 8px rgba(0,0,0, 0.85);
 }
Index: /extensions/flop_style/thumbnails/fancy_hover.tpl
===================================================================
--- /extensions/flop_style/thumbnails/fancy_hover.tpl	(revision 16392)
+++ /extensions/flop_style/thumbnails/fancy_hover.tpl	(revision 16393)
@@ -1,4 +1,5 @@
 {combine_css path="template-extension/flop_style/thumbnails/fancy_hover.css"}
 {combine_script id='jquery' path='themes/default/js/jquery.min.js'}
+{define_derivative name='derivative_fh' width=$derivative_params->max_width() height=$derivative_params->max_height() crop=true}
 {html_head}
   {literal}
@@ -9,11 +10,11 @@
 	$(this).find('img').addClass("hover").stop() /* Add class of "hover", then stop animation queue buildup*/
 		.animate({
-			marginTop: '-110px', /* The next 4 lines will vertically align this image */ 
-			marginLeft: '-110px',
-			top: '50%',
-			left: '50%',
-			width: '174px', /* Set new width */
-			height: '174px', /* Set new height */
-			padding: '20px'
+			marginTop: '-{/literal}{$derivative_fh->max_width()*1.25}{literal}px', /* The next 4 lines will vertically align this image */ 
+			marginLeft: '-{/literal}{$derivative_fh->max_height()*1.25}{literal}px',
+			top: '{/literal}{$derivative_fh->max_width()}{literal}px',
+			left: '{/literal}{$derivative_fh->max_height()}{literal}px',
+			width: '{/literal}{$derivative_fh->max_width()+70}{literal}px', /* Set new width */
+			height: '{/literal}{$derivative_fh->max_height()+70}{literal}px', /* Set new height */
+			padding: '15px'
 		}, 200); /* this value of "200" is the speed of how fast/slow this hover animates */
 
@@ -26,6 +27,6 @@
 			top: '0',
 			left: '0',
-			width: '100px', /* Set width back to default */
-			height: '100px', /* Set height back to default */
+			width: '{/literal}{$derivative_fh->max_width()}{literal}px', /* Set width back to default */
+			height: '{/literal}{$derivative_fh->max_height()}{literal}px', /* Set height back to default */
 			padding: '5px'
 		}, 400);
@@ -36,9 +37,20 @@
 {/html_head}
 
+{html_style}{literal}
+ul.thumbnails li img {
+	height:{/literal}{$derivative_fh->max_height()}{literal}px;
+	width:{/literal}{$derivative_fh->max_width()}{literal}px;
+}
+ul.thumbnails li
+{
+	width:{/literal}{$derivative_fh->max_width()+10}{literal}px;
+	height:{/literal}{$derivative_fh->max_height()+10}{literal}px;
+}
+{/literal}{/html_style}
 {if !empty($thumbnails)}
 {strip}{foreach from=$thumbnails item=thumbnail}
 	<li>
     <a href="{$thumbnail.URL}" title="{if isset($thumbnail.NAME)}{$thumbnail.NAME|truncate:11:" [...]"|@replace:'"':' '}{/if}">
-      <img src="{$thumbnail.TN_SRC}" class="thumb_jpolaroid" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
+      <img src="{$pwg->derivative_url($derivative_fh, $thumbnail.src_image)}" class="thumb_jpolaroid" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
     </a>
 	</li>
Index: /extensions/flop_style/thumbnails/jPolaroid.tpl
===================================================================
--- /extensions/flop_style/thumbnails/jPolaroid.tpl	(revision 16392)
+++ /extensions/flop_style/thumbnails/jPolaroid.tpl	(revision 16393)
@@ -20,4 +20,13 @@
   {/literal}
 {/html_head}
+{assign var=crop value=$derivative_params->sizing->max_crop}
+{if $crop==1}
+{assign var=crop value=true}
+{assign var=width value=$derivative_params->max_width()}
+{else}
+{assign var=crop value=false}
+{assign var=width value=99999}
+{/if}
+{define_derivative name='derivative_jPolaroid' width=$width height=$derivative_params->max_height() crop=$crop}
 
 {if !empty($thumbnails)}
@@ -25,5 +34,5 @@
 	<li>
 			<a href="{$thumbnail.URL}" title="{if isset($thumbnail.NAME)}{$thumbnail.NAME|truncate:11:" [...]"|@replace:'"':' '}{/if}">
-				<img src="{$thumbnail.TN_SRC}" class="thumb_jpolaroid" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
+				<img src="{$pwg->derivative_url($derivative_jPolaroid, $thumbnail.src_image)}" class="thumb_jpolaroid" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
 			</a>
 	</li>
Index: /extensions/flop_style/thumbnails/polaroid.css
===================================================================
--- /extensions/flop_style/thumbnails/polaroid.css	(revision 16392)
+++ /extensions/flop_style/thumbnails/polaroid.css	(revision 16393)
@@ -46,5 +46,4 @@
 	display: block;
 	margin-bottom: 12px;
-	width: 118px;
 }
 ul.thumbnails a:after {
@@ -88,4 +87,5 @@
 }
 ul.thumbnails li a:hover {
+	box-shadow: 6px 6px 8px  rgba(0, 0, 0, 0.85);
 	-moz-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.5);
 	-webkit-box-shadow: 0 3px 6px rgba(0,0,0,.5);
Index: /extensions/flop_style/thumbnails/polaroid.tpl
===================================================================
--- /extensions/flop_style/thumbnails/polaroid.tpl	(revision 16392)
+++ /extensions/flop_style/thumbnails/polaroid.tpl	(revision 16393)
@@ -1,3 +1,14 @@
 {combine_css path="template-extension/flop_style/thumbnails/polaroid.css"}
+{html_style}{literal}
+ul.thumbnails a {
+	height:{/literal}{$derivative_params->max_height()+30}{literal}px;
+}
+ul.thumbnails li
+{
+	height:{/literal}{$derivative_params->max_height()+70}{literal}px;
+}
+{/literal}{/html_style}
+
+{define_derivative name='derivative_polaroid' width=$derivative_params->max_width() height=$derivative_params->max_height() crop=true}
 
 {if !empty($thumbnails)}
@@ -5,5 +16,5 @@
 	<li>
 			<a href="{$thumbnail.URL}" title="{if isset($thumbnail.NAME)}{$thumbnail.NAME|truncate:11:" [...]"|@replace:'"':' '}{/if}">
-				<img src="{$thumbnail.TN_SRC}"  alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
+				<img src="{$pwg->derivative_url($derivative_polaroid, $thumbnail.src_image)}"  alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
 			</a>
 	</li>