Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 16394)
+++ /trunk/language/he_IL/admin.lang.php	(revision 16395)
@@ -170,5 +170,4 @@
 $lang['You cannot move an album in its own sub album'] = 'אתה לא יכול להעביר קטגוריה לתוך התת קטגוריה שלה';
 $lang['You need to confirm deletion'] = 'אתה חייב לאשר את המחיקה';
-$lang['add tags'] = 'להוסיף תגיות';
 $lang['Associate to album'] = 'לשייך לקטגוריה';
 $lang['associate to group'] = 'לשייך לקבוצה';
@@ -219,6 +218,4 @@
 $lang['manage sub-albums'] = 'ניהול קטגוריות משנה';
 $lang['Manage'] = 'ניהול';
-$lang['maximum height'] = 'גובה מרבי';
-$lang['maximum width'] = 'רוחב מרבי';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'זמן ביצוע יוצא, הטיפול חייב להיות המשך [זמן משוער:% השני ד].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'זמן ביצוע חריגה, הטיפול חייב להמשיך [זמן משוער:% d שניות].';
@@ -300,10 +297,5 @@
 $lang['registration date'] = 'תאריך רישום';
 $lang['clean'] = 'לנקות';
-$lang['remove remote listing.xml file'] = 'להסיר את הקובץ listing.xml מרחוק';
-$lang['generate listing'] = 'לייצר רשימה';
-$lang['generate file listing.xml on remote site'] = 'לייצר listing.xml הקובץ באתר מרוחק';
 $lang['Create this site'] = 'צור את האתר הזה';
-$lang['A local listing.xml file has been found for'] = 'הקובץ listing.xml המקומית כבר מצאו עבור';
-$lang['read local listing.xml and update'] = 'לקרוא listing.xml עדכון המקומית';
 $lang['test'] = 'מבחן';
 $lang['test this remote site'] = 'מבחן זה באתר מרוחק'; 
@@ -314,10 +306,8 @@
 $lang['singly represented'] = 'נציג קבוע';
 $lang['This site already exists'] = 'אתר זה כבר קיים';
-$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'צור אתר חדש: (לתת את כתובת האתר שלו כדי create_listing_file.php)';
 $lang['created'] = 'יצר';
 $lang['delete'] = 'למחוק';
 $lang['delete this site and all its attached elements'] = 'למחוק את האתר הזה ואת כל המידע בנושא';
 $lang['an error happened'] = 'אירעה שגיאה';
-$lang['file create_listing_file.php on remote site was not found'] = 'Create_listing_file.php הקובץ לא נמצא באתר המרוחק';
 $lang['Local'] = 'מקומית';
 $lang['Remote'] = 'מרחוק';
@@ -335,20 +325,13 @@
 $lang['User list'] = 'רשימת משתמשים';
 $lang['Edit photo information'] = 'שינוי פרטים בתמונה';
-$lang['Thumbnail creation'] = 'יצירת תמונה';
 $lang['Database synchronization with files'] = 'מסד נתונים לסינכרון עם קבצים';
 $lang['all'] = 'כל';
-$lang['photos without thumbnail (jpeg and png only)'] = 'תמונות ללא תמונה (JPEG ו-PNG בלבד)';
 $lang['height must be a number superior to'] = 'גובה חייב להיות מספר גדול יותר';
 $lang['width must be a number superior to'] = 'רוחב חייב להיות מספר גדול יותר';
 $lang['for the file format'] = 'עבור פורמט קובץ';
-$lang['No missing thumbnail'] = 'אין תמונה חסר';
 $lang['Photo unreachable or no support'] = 'תמונה בפורמט נגיש או נתמך';
 $lang['GD version'] = 'גרסת ה ';
-$lang['generated in'] = 'נוצר ב';
-$lang['Results of miniaturization'] = 'תהליך המזעור תוצאות';
 $lang['General statistics'] = 'סטטיסטיקה';
-$lang['max time'] = 'זמן מקסימום';
 $lang['average time'] = 'הזמן הממוצע';
-$lang['min time'] = 'בפעם דקות';
 $lang['number of miniaturized photos'] = 'מספר תמונות ממוזערות נוצר';
 $lang['total time'] = 'זמן מסך';
@@ -363,8 +346,4 @@
 $lang['Choose an option'] = 'בחר באפשרות';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'מקסימום מידע לתצוגה (קטגוריות הוסיף אלמנטים, קטגוריות שנמחקו אלמנטים)';
-$lang['Piwigo version differs on the remote site'] = 'גרסה שונה Piwigo באתר המרוחק';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'גרסאות של create_listing_file.php באתר המרוחק Piwigo חייבים להיות זהים';
-$lang['listing.xml file was not found'] = 'הקובץ listing.xml לא נמצא';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'הקובץ listing.xml לא נמצא באתר מרוחק זה הקובץ שנוצר עם ". לייצר רשימה  "הפקודה מנהל האתר';
 $lang['Error list'] = 'רשימת שגיאות';
 $lang['Errors caption'] = 'שגיאות אגדות';
@@ -372,6 +351,4 @@
 $lang['File/directory read error'] = 'קובץ / ספרייה לקרוא שגיאה';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'הקובץ או הספרייה לא ניתן לגשת (או שזה לא קיים או הגישה נדחתה)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'סוג הקובץ התמונה דורש תמונה תמונה חייב להיות נוכח במדריך קטן ". תמונה  "של המדריך את הקטגוריה תמונה שם הקובץ חייב להתחיל עם הקידומת תמונה מוגדר ההרחבה חייב להיות בין הרשימה הבאה:.';
-$lang['missing thumbnail'] = 'חסר תמונה';
 $lang['albums deleted in the database'] = 'קטגוריות שנמחקו באתר';
 $lang['photos deleted from the database'] = 'אלמנטים שנמחקו באתר';
@@ -409,5 +386,4 @@
 $lang['Toggle \'default group\' property'] = "תייג 'קבוצת ברירת מחדל' ערך";
 $lang['Advanced features'] = 'תכונות מתקדמות';
-$lang['Specials'] = 'מבצעים';
 $lang['Overall'] = 'מבט';
 $lang['Year'] = 'שנה';
@@ -419,7 +395,4 @@
 $lang['Element'] = 'מרכיב';
 $lang['Section'] = 'סעיף';
-$lang['Save page visits by guests'] = 'שמור דפים שניצפו על ידי אורחים';
-$lang['Save page visits by users'] = 'שמור דפים שנצפו על ידי משתמשים';
-$lang['Save page visits by administrators'] = 'שמור דפים שנצפו על ידי מנהל ראשי';
 $lang['An information email was sent to group "%s"'] = 'דואר אלקטרוני נשלח לקבוצה "%s"';
 $lang['Send an information email to group members'] = 'שלח הודעת דואר אלקטרוני מידע על חברי הקבוצה';
@@ -443,5 +416,4 @@
 $lang['guest'] = 'האורח';
 $lang['default values'] = 'ערכי ברירת המחדל';
-$lang['High filesize'] = 'High גודל הקובץ ברזולוציה';
 $lang['Guest cannot be deleted'] = 'חוות דעת לא ניתן למחוק';
 $lang['Default user cannot be deleted'] = 'המשתמש ברירת מחדל ולא ניתן למחוק';
@@ -501,9 +473,7 @@
 $lang['Other plugins'] = 'תוספים נוספים זמינים';
 $lang['Last revisions'] = 'התיקונים האחרונים';
-$lang['Delete'] = 'מחק';
 $lang['Are you sure you want to delete this plugin?'] = 'האם אתה בטוח שאתה רוצה למחוק את התוסף הזה?';
 $lang['Are you sure you want to install this plugin?'] = 'האם אתה בטוח שאתה רוצה להתקין את התוסף הזה?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'האם אתה בטוח שאתה רוצה להתקין את השדרוג, עליך לוודא אם הגרסה הזאת לא צריך ההסרה לפני?.';
-$lang['%s has been successfully upgraded.'] = '"%s" "שודרג בהצלחה.';
 $lang['Plugin has been successfully copied'] = 'תוסף הועתקה בהצלחה';
 $lang['You might go to plugin list to install and activate it.'] = 'עבור אל רשימת התוספים להתקין ולהפעיל אותו.';
@@ -568,5 +538,4 @@
 $lang['Password is missing. Please enter the password.'] = 'סיסמה חסרה, נה להזין סיסמה..';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'אישור סיסמה חסר, נה להזיר אישור סיסמה..';
-$lang['Password confirmation error.'] = 'שגיאה באישור הסיסמה.';
 $lang['Allow users to edit their own comments'] = 'אפשר למשתמשים לערוך הערות משלהם';
 $lang['Allow users to delete their own comments'] = 'אפשר למשתמשים למחוק את התגובות שלהם';
@@ -643,5 +612,4 @@
 $lang['Activate Navigation Thumbnails'] = 'הפעל ממוזערות ניווט';
 $lang['Activate icon "%s"'] = 'להפעיל את סמל"%s "';
-$lang['Activate field "%s"'] = 'להפעיל את השדה"%s"';
 $lang['Photo Properties'] = 'מאפייני תמונה';
 $lang['Allow user customization'] = 'לאפשר התאמה אישית למשתמש';
@@ -712,7 +680,4 @@
 $lang['All %d photos are selected'] = 'כל %d התמונות נבחרו';
 $lang['remove this filter'] = 'הסר מסנן זה';
-$lang['predefined filter'] = 'סנן מראש';
-$lang['last import'] = 'הגיעה לאחרונה';
-$lang['with no virtual album'] = 'ללא אלבום וירטואלי';
 $lang['Duplicates'] = 'כפילויות';
 $lang['Add a filter'] = 'הוסף מסנן';
@@ -729,6 +694,4 @@
 $lang['Type here the title'] = 'כתוב כאן את הכותרת';
 $lang['remove creation date'] = 'הסר את תאריך היצירה';
-$lang['with no album'] = 'ללא אלבום';
-$lang['with no tag'] = 'ללא תיוג';
 $lang['Album photos associated to the following albums: %s'] = 'אלבום תמונות משוייך לאלבום הבא: %s';
 $lang['Delete orphan tags'] = 'מחק תגים יתומים';
@@ -767,5 +730,4 @@
 $lang['Height'] = 'גובה';
 $lang['Follow Orientation'] = 'עקוב אחר ההדרכה';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'אם ברצונך לחדש את התמונות הממוזערות נווט בבקשה ל <a href="%s">מנהל אצווה</a>.';
 $lang['Graphics Library'] = 'ספריית גרפיקה';
 $lang['Activate icon "new" next to albums and pictures'] = 'הפעל כפתו "חדש" ליד אלבומים';
@@ -775,10 +737,6 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'שחזר להגדרות ברירת מחדל. הגדרות ההתקן יאבדו!';
 $lang['Show menubar'] = 'הצג תפריט';
-$lang['Regenerate Thumbnails'] = 'חידוש תמונות ממוזערות';
-$lang['Regenerate Websize Photos'] = 'חידוש גודל תמונות באתר';
 $lang['Thumbnails generation in progress...'] = 'חידוש תמונות ממוזערות בתהליך...';
 $lang['Photos generation in progress...'] = 'חידוש תמונות בתהליך...';
-$lang['%s thumbnails have been regenerated'] = '%s תמונות ממוזערות חודשו';
-$lang['%s thumbnails can not be regenerated'] = '%s תמונות ממוזערות לא יכלו להתחדש';
 $lang['%s photos have been regenerated'] = '%s תמונות חודשו';
 $lang['%s photos can not be regenerated'] = '%s תמונות לא יכלו להתחדש';
@@ -830,3 +788,34 @@
 $lang['Add to caddie'] = 'הוסף לסל';
 $lang['Permalink'] = 'קישורית';
+$lang[' and %d virtuals'] = 'ו %d וירטואלים';
+$lang['%d day'] = '%d יום';
+$lang['%d days'] = '%d ימיםחודשים';
+$lang['%d hour'] = '%d שעה';
+$lang['%d hours'] = '%d שעות';
+$lang['%d minute'] = '%d דקה';
+$lang['%d minutes'] = '%d דקות';
+$lang['%d month'] = '%d חודש';
+$lang['%d months'] = '%d חודשים';
+$lang['%d second'] = '%d שניה';
+$lang['%d seconds'] = '%d שניות';
+$lang['%d week'] = '%d שבוע';
+$lang['%d weeks'] = '%d שבועות';
+$lang['%d year'] = '%d שנה';
+$lang['%d years'] = '%d שנים';
+$lang['%s has been successfully updated.'] = '%s הועלובהצלחה';
+$lang['%s in the future'] = '%s בעתיד';
+$lang['A locked gallery is only visible to administrators'] = 'גלריות נעולות זמינות רק למנהלים';
+$lang['Activate comments'] = 'הפעל תגובה';
+$lang['Add tags'] = 'הוסף תיוג';
+$lang['Added by %s'] = 'הוסף על ידי %s';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'ארעה שגיאה במהלך היצוא. בדוק את הרשאות קבצי התקנת piwigo.<br><a href="%s">לחץ כאן לראות את יומן השגיאות</a>.';
+$lang['An error has occured during upgrade.'] = 'ארעה שגיאה במהלך העלאה';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture הוא כלי רב עוצמה לחדד תמונות ולנהל סיפריות ענק ב-mac';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture עוצב עבור גרפיקאים מקצועיים עם הפשטות של iphoto';
+$lang['Applications'] = 'אפליקציות';
+$lang['Apply watermark if height is bigger than'] = 'החל חותמת מים(watermark) אם הגובה גדול מ';
+$lang['Apply watermark if width is bigger than'] = 'החל חותמת מים(watermark) אם הרוחב גדול מ';
+$lang['Automatic sort order'] = 'סדר אוטומטי';
+$lang['Available on'] = 'זמין ב';
+$lang['Available versions for'] = 'גרסאות זמינות ל';
 ?>